# $Id: standard.makefile 4160 2006-03-05 19:13:06Z jz $
 
GNUMAKE=1
#SYSTEM_LINUX=1
 
# makefile.std $Id: standard.makefile 4160 2006-03-05 19:13:06Z jz $


#------------------------------------------------------------SYSTEM feststellen

OS=$(shell uname)
ifeq ($(OS),Linux)
SYSTEM_LINUX := 1
else
ifeq ($(OS),HP-UX)
SYSTEM_HPUX := 1
else
SYSTEM_SOLARIS := 1
endif
endif

ifdef SYSTEM_LINUX
SYSTEM      := linux
GCC         := 1
SYSTEM_UNIX := 1
SYSTEM_GNU  := 1
endif

ifdef SYSTEM_HPUX
SYSTEM      := hp-ux
GCC         := 1
SYSTEM_UNIX := 1
SYSTEM_GNU  := 1
endif

ifdef SYSTEM_SOLARIS
SYSTEM      := solaris
SYSTEM_UNIX := 1
SYSTEM_GNU  := 1
endif

#----------------------------------------------------------Fr alle Plattformen

VPATH = ..

#SOS_LIBS     := $(foreach p,$(DEP_PRODUCTS),$(PROD_DIR)/$(p)/$(O_DIR)/lib$(notdir $p).a)


SHELL := /bin/sh

#-----------------------------------------------------------------------BIN_DIR

ifeq ($(BIN_DIR),)
ifeq ($(notdir $(shell pwd)),Release)
BIN_DIR=$(PROD_DIR)/bin
else
BIN_DIR=$(PROD_DIR)/bind
endif
x:=$(shell test -d $(BIN_DIR) || mkdir $(BIN_DIR))
endif

#------------------------------------------------------------------------------

include $(PROD_DIR)/make/$(SYSTEM).makefile

ifeq ($(O_DIR),Release)
CFLAGS+=$(COPTIMIZE)
endif

#------------------------------------------------------------------------------

_all_:	all


clean:
	rm *.o *.d lib*.a lib*.so *.map `find -name "*.class"`


include $(objects:.o=.d)

