// $Id: z_posix_mutex.h 3546 2005-04-03 08:30:29Z jz $

#ifndef ZSCHIMMER_Z_POSIX_MUTEX_H
#define ZSCHIMMER_Z_POSIX_MUTEX_H

#ifdef Z_UNIX

#include <pthread.h>

namespace zschimmer {
namespace posix {


typedef pthread_mutex_t         System_mutex;

void                            enter_mutex                 ( System_mutex* );
void                            leave_mutex                 ( System_mutex* );

//--------------------------------------------------------------------------------------------Mutex
// AUFBAU NICHT NDERN, wird mit zur Laufzeit nachgeladenem Modul ausgetauscht!

struct Mutex : zschimmer::Mutex_base
{
                                Mutex                       ( const string& name = "", Kind = kind_recursive );
                               ~Mutex                       ();

    void                        enter                       ();
    bool                        try_enter                   ();
    void                        leave                       ();
    Thread_id                   locking_thread_id           ();

    pthread_mutex_t            _system_mutex;
};

//-------------------------------------------------------------------------------------------------

} //namespace posix
} //namespace zschimmer

#endif
#endif
